Up

# NSToolbar class documentation

### Authors

Generated by root

### Contents -

1. Software documentation for the NSToolbar class
2. Software documentation for the NSObject(NSToolbarDelegate) informal protocol

# Software documentation for the NSToolbar class

## NSToolbar : NSObject

> Declared in:
>   AppKit/NSToolbar.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -allowsUserCustomization
- -autosavesConfiguration
- -configurationDictionary
- -customizationPaletteIsRunning
- -delegate
- -displayMode
- -identifier
- -initWithIdentifier:
- -insertItemWithItemIdentifier:atIndex:
- -isVisible
- -items
- -removeItemAtIndex:
- -runCustomizationPalette:
- -setAllowsUserCustomization:
- -setAutosavesConfiguration:
- -setConfigurationFromDictionary:
- -setDelegate:
- -setDisplayMode:
- -setVisible:
- -validateVisibleItems
- -visibleItems

### allowsUserCustomization

- (BOOL) allowsUserCustomization;

Description forthcoming.

### autosavesConfiguration

- (BOOL) autosavesConfiguration;

Description forthcoming.

### configurationDictionary

- (NSDictionary*) configurationDictionary;

Description forthcoming.

### customizationPaletteIsRunning

- (BOOL) customizationPaletteIsRunning;

Description forthcoming.

### delegate

- (id) delegate;

Description forthcoming.

### displayMode

- (NSToolbarDisplayMode) displayMode;

Description forthcoming.

### identifier

- (NSString*) identifier;

Description forthcoming.

### initWithIdentifier:

- (id) initWithIdentifier: (NSString*)identifier;

Description forthcoming.

### insertItemWithItemIdentifier:atIndex:

- (void) insertItemWithItemIdentifier: (NSString*)itemIdentifier atIndex: (int)index;

Description forthcoming.

### isVisible

- (BOOL) isVisible;

Description forthcoming.

### items

- (NSArray*) items;

Description forthcoming.

### removeItemAtIndex:

- (void) removeItemAtIndex: (int)index;

Description forthcoming.

### runCustomizationPalette:

- (void) runCustomizationPalette: (id)sender;

Description forthcoming.

### setAllowsUserCustomization:

- (void) setAllowsUserCustomization: (BOOL)flag;

Description forthcoming.

### setAutosavesConfiguration:

- (void) setAutosavesConfiguration: (BOOL)flag;

Description forthcoming.

### setConfigurationFromDictionary:

- (void) setConfigurationFromDictionary: (NSDictionary*)configDict;

Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)delegate;

Sets the receivers delgate... this is the object which will receive -toolbar:itemForItemIdentifier:willBeInsertedIntoToolbar: -toolbarAllowedItemIdentifiers: and -toolbarDefaultItemIdentifiers: messages.

### setDisplayMode:

- (void) setDisplayMode: (NSToolbarDisplayMode)displayMode;

Description forthcoming.

### setVisible:

- (void) setVisible: (BOOL)shown;

Description forthcoming.

### validateVisibleItems

- (void) validateVisibleItems;

Description forthcoming.

### visibleItems

- (NSArray*) visibleItems;

Description forthcoming.

# Software documentation for the NSObject(NSToolbarDelegate) informal protocol

## NSObject(NSToolbarDelegate)

> Declared in:
>   AppKit/NSToolbar.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -toolbar:itemForItemIdentifier:willBeInsertedIntoToolbar:
- -toolbarAllowedItemIdentifiers:
- -toolbarDefaultItemIdentifiers:
- -toolbarDidRemoveItem:
- -toolbarWillAddItem:

### toolbar:itemForItemIdentifier:willBeInsertedIntoToolbar:

- (NSToolbarItem*) toolbar: (NSToolbar*)toolbar itemForItemIdentifier: (NSString*)itemIdentifier willBeInsertedIntoToolbar: (BOOL)flag;

Description forthcoming.

### toolbarAllowedItemIdentifiers:

- (NSArray*) toolbarAllowedItemIdentifiers: (NSToolbar*)toolbar;

Description forthcoming.

### toolbarDefaultItemIdentifiers:

- (NSArray*) toolbarDefaultItemIdentifiers: (NSToolbar*)toolbar;

Description forthcoming.

### toolbarDidRemoveItem:

- (void) toolbarDidRemoveItem: (NSNotification*)aNotification;

Description forthcoming.

### toolbarWillAddItem:

- (void) toolbarWillAddItem: (NSNotification*)aNotification;

Description forthcoming.

Up